<?php
class PuntoVenta_model extends CI_Model {

	public function tiene_multiples_puntos($idCanal) {

		$this->db->from('puntos_ventas');
		$this->db->where('id_canal', $idCanal);
		$this->db->where('deleted', 0);
		$this->db->where('activo', 1);

		$data['puntos_ventas'] = $this->db->get()->result_array();
		if (count($data['puntos_ventas']) > 1) {
			return TRUE;
		}
		return FALSE;
	}

	public function get_punto_unico($idCanal) {
		$this->db->from('puntos_ventas');
		$this->db->where('id_canal', $idCanal);
		$this->db->where('deleted', 0);
		$this->db->where('activo', 1);

		$data['puntos_ventas'] = $this->db->get()->result_array();
		if (count($data['puntos_ventas']) == 1) {
			return $data['puntos_ventas'][0];
		}

		return FALSE;
	}


	public function lista_canales() {
		//Ubicaciones por ahora son manuales:

		$return['canales'] = [
			7 => 'Italia 1601',
			8 => 'Los Dominicos',
			12 => 'Drugstore',
			4 => 'Feria',
			0 => 'Oficina / Bodega'
		];

		$this->db->from('puntos_ventas');
		$this->db->where_in('id_canal', array_keys($return['canales']));
		$this->db->where('deleted', 0);
		$this->db->where('activo', 1);
		$this->db->order_by('id_canal', 'ASC');

		$puntosVentas = $this->db->get()->result_array();

		foreach ($puntosVentas as $pv) {
			$return['puntos_ventas'][$pv['id_canal']][$pv['id']] = $pv['nombre'];
		}
		return $return;
	}
}


